      REAL FUNCTION ooscale()
      REAL
     +IDCH    ,TIME    ,DT      ,DTGRA   ,DTFRA   ,X       ,
     +Y       ,SCALE   ,ROTZ    ,IG      ,ILAY     
*
      LOGICAL         CHAIN
      CHARACTER*128   CFILE
*
      COMMON /PAWCHN/ CHAIN, NCHEVT, ICHEVT
      COMMON /PAWCHC/ CFILE
*
      COMMON/PAWIDN/IDNEVT,OBS(13),
     +IDCH    ,TIME    ,DT      ,DTGRA   ,DTFRA   ,X       ,
     +Y       ,SCALE   ,ROTZ    ,IG      ,ILAY     
*
      ooscale=1.
      ooscale=0.
      if (scale.gt.0) ooscale=1./scale
*      if (idch.eq.1 .or. idch.eq.2) ooscale=ooscale-0.8
*      if (idch.eq.5 .or. idch.eq.6) ooscale=ooscale-0.8
*      if (idch.eq.9 .or. idch.eq.10) ooscale=ooscale-0.8
*      if (idch.eq.17 .or. idch.eq.18) ooscale=ooscale-0.8
*      if (idch.eq.21 .or. idch.eq.22) ooscale=ooscale-0.8
      ooscale=ooscale*1000.
      END

